MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
DecoderControl.hxx File Reference
`#include "DecoderCommand.hxx"`
`#include "AudioFormat.hxx"`
`#include "MixRampInfo.hxx"`
`#include "thread/Mutex.hxx"`
`#include "thread/Cond.hxx"`
`#include "thread/Thread.hxx"`
`#include "Chrono.hxx"`
`#include "ReplayGainConfig.hxx"`
`#include "ReplayGainMode.hxx"`
`#include <exception>`
`#include <utility>`
`#include <assert.h>`
`#include <stdint.h>`
Include dependency graph for DecoderControl.hxx:

Go to the source code of this file.

## Data Structures
struct | DecoderControl

## Enumerations
enum | DecoderState : uint8_t { DecoderState::STOP = 0, DecoderState::START, DecoderState::DECODE, DecoderState::ERROR }

## Enumeration Type Documentation

enum DecoderState : uint8_t
| strong

Enumerator
STOP |
START |
DECODE |
ERROR | The last "START" command failed, because there was an I/O error or because no decoder was able to decode the file. This state will only come after START; once the state has turned to DECODE, by definition no such error can occur.

Definition at line 49 of file DecoderControl.hxx.